
Ryzom - Bug # 959

Status: New Priority: Low
Author: vbmithr Category: OS: GNU/Linux
Created: 06/04/2010 Assignee:
Updated: 03/30/2011 Due date:
Subject: Flickering and bad performance with X11 composite under KDE and Archlinux
Description

When using KDE with composition enabled, the client is flickering and the general performance really bad..
This is not the case, with, say, Openarena and the other opengl games that I tested.

History
#1 - 06/04/2010 09:06 am - kervala

Which drivers are you using ?

Under Gnome and proprietary nvidia drivers with Compiz enabled or disabled, all is working fine.

#2 - 06/04/2010 09:07 am - kervala
- Category changed from Client: General to NeL: General

#3 - 06/05/2010 02:58 am - vbmithr

I’m using the opensource radeon drivers with an ATI r500 card. Yes, they are probably highly objectable, but I can use only those. It might be a driver
bug rather than a bug in NeL though :)

#4 - 06/17/2010 11:03 pm - kervala

We have to investigate further because with Compiz under Gnome and NVidia driver, it's working fine :)

#5 - 07/28/2010 09:58 am - kervala
- Category changed from NeL: General to OS: GNU/Linux

#6 - 12/28/2010 04:34 am - gardon

vbmithr wrote:

I’m using the opensource radeon drivers with an ATI r500 card. Yes, they are probably highly objectable, but I can use only those. It might be a
driver bug rather than a bug in NeL though :)

I have a newer ATI, same opensource drivers:

1 - Flickering happens on other games like Enemy Territory and Tremulous. On those, disabling compositing on KDE (Gentoo) solves.
2 - Performance is still an issue on Ryzom. Even setting graphic options to low, it's slow, dropping frames, and oddly, consuming a whole CPU core
(seems to be using sofware rendering?)
#7 - 12/28/2010 10:31 am - kervala

Please could you post information about your card on the page : http://dev.ryzom.com/wiki/ryzom/OpenGLSupportedExtensions ?

Thanks :)

#8 - 12/29/2010 12:54 am - gardon

Did it!

I'm still fighting to keep performance up. I got KMS now, but performance is even slower. Trying to upgrade to dev versions of the drivers, might get
better results.

#9 - 12/29/2010 11:13 am - kervala

Thanks :)

I suspect NeL to choose a slow GLX Visual :(

#10 - 12/30/2010 01:49 am - gardon

Mmm, I'm now playing in windowed mode, around 1280x960. After upgrading drivers and overclocking (:P) I got a slightly better performance, but still
it doesn't make sense, should be much better. Well, also I need to point that when I'm playing, one core of my CPU is constantly at 100% use (it is an
Athlon 2 X3/4 and it's overclocked to 3300MHz)

#11 - 12/30/2010 02:15 am - gardon

kervala, is there some way I can assert this? Some debug info to help out?

#12 - 12/30/2010 01:21 pm - kervala

Your core at 100% is normal, because Ryzom is forcing the use of only one core to avoid some sync problems.

Please could you try ATI proprietary driver only to compare (and eventually post your glxinfo for it) ?

#13 - 12/31/2010 08:10 pm - gardon
- File glxinfo.txt added

I tried yesterday, same results. One thing I noticed. It doesn't matter the resolution or graphics settings. When I'm in a fully-loaded ambient, like when
I'm still at some point or a the character selection screen, it's perfectly smooth. When I move and it seems to load more graphical data (landscape
mostly) the laggin appears, even on really slow resolutions. Seems like if there is an issue on loading the graphics on the board's RAM =/

Also, using fglrx the textures look much better

#14 - 01/02/2011 01:26 am - gardon
Typo: "... even on really low resolutions"

#15 - 01/02/2011 04:22 am - gardon

UPDATING:

Seems the performance issue was related to low memory on GPU, usign open-source radeon I manually set the memory to be a lot greater (shared
1GB o.O) and no more lags. Still the textures are not being properly displayed =/ Probably because I'm not running DRI2, which has a lot more GL
extensions (will try later)

#16 - 01/02/2011 04:30 am - gardon

Visible texture issue was solved by setting texture to 128Mb. I just don't see
microvegetation and the bloom effect is said to not be supported.

#17 - 01/02/2011 11:52 am - kervala

Ah yes Ryzom needs at least 128 MB by default (I don't know if 64 MB mode is still working...)

#18 - 01/02/2011 05:10 pm - gardon

well, last update, enabling KMS (and therefore DRI2) again now and I even hav the bloom effect. But still no microveg and now the shadows are
rendered like big darker squares (wrong shape). Performance is great now.

Oh, the card is supposed to have 256Mb, but I think it the texture buffer is set to 50% of that, by default.

#19 - 01/03/2011 11:44 am - gardon

The water is also invisible

#20 - 01/03/2011 11:48 am - kervala

The bug with water and other shaders parts has been fixed in Hg :)

#21 - 03/21/2011 03:08 pm - Khudsa

Hello, I have the Ryzom client uptdated to the last patch (1.11). My system specs are:

- Phenom X6 1055
- 8 Gb ram dd3
- AMD/ATI 5750 with the last Catalyst drivers (11.2)
- OS Ubuntu 10.10

I don't have the flickering isue but I have the bad perfomance problem. I have tested the game with 1650x1080 screen resolution and:

- With and without compiz.
- With and without tear free desktop (new feature with ATI drivers).
- Low, medium and high settings.
- Low (32), medium (64) and high (128) textures.
- With and without VBL Syncro.

The performance is bad in all cases making the game lag continually. Most of the time, after 15-30 min of gaming, it shows a window with a connection
problem icon (network problem?) making the game totally unplayable (almost frozen). Sometimes when I enter the world it takes a lot of time to load
all the houses, people, landscape etc. meanwhile I see white smoke and people or objects floating until all is loaded, with the network icon and the
game frozen.

And to finish, when I log into the game, the character selection screen is totally smooth.

#22 - 03/21/2011 03:28 pm - kervala

Could it be related to your HDD ? speed ? fragmentation ?

Ryzom is continuously streaming 3d models and textures from data folder.

#23 - 03/21/2011 11:15 pm - Khudsa

The HDD (1 TB Seagate) seems to be OK, the SMART says it. Also no problems coping files (larger or not) or playing another demanding
games/tasks. I have checked the fragmentation with e2freefrag and filefrag on the partition and the data directory of ryzom and seems to be ok. The
HDD doesn't seems to be the problem.

I have noticed that when a big transition happen (day/night) the game get frozen. I have also run the game in the terminal but it doesn't output
anything.

#24 - 03/30/2011 01:10 pm - Yusei
- File glxinfo.txt added

My problem is similar to Khudsa, but with lower quality hardware:
- ATI Radeon HD 5450 with proprietary drivers
- Core i3 processor (3.2 GHz)
- 3 Gb of RAM
- no compositing

The performance is bad with the lowest settings under GNU/Linux. The game is playable if few characters are displayed, but becomes so laggy when
I'm in a team that I can't do anything useful.

Under Windows 7, with the best graphics settings, everything works very well.

I'd rather play under GNU/Linux, so I'm willing to spend some time on this problem.

Files
glxinfo.txt 16.5 kB 12/31/2010 gardon
glxinfo.txt 18.3 kB 03/30/2011 Yusei
